Bug 123294 - CD-RW drive is an invalid block device when ide-scsi is compiled into the kernel
CD-RW drive is an invalid block device when ide-scsi is compiled into the kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-16 01:36 EDT by William M. Quarles
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:26:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My kernel configuration file (33.02 KB, text/plain)
2004-05-16 01:40 EDT, William M. Quarles
no flags Details
My kernel configuration file; with SCSI, SCSI generic, IDE-SCSI, and IDE-CD-ROM support all modularized. (33.02 KB, text/plain)
2004-05-16 14:55 EDT, William M. Quarles
no flags Details

  None (edit)
Description William M. Quarles 2004-05-16 01:36:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
If I compile the ide-scsi driver into the kernel instead of as a
module, my CD-RW drive comes up as an invalid block device.  I'm
attaching my kernel configuration file.

Here is the info from /proc/scsi/scsi (same whether driver is modular
or not):

Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: RICOH    Model: CD-R/RW MP7040A  Rev: 1.1j
  Type:   CD-ROM                           ANSI SCSI revision: 02

And also:

/proc/ide/hdc/driver
ide-scsi version 0.93

/proc/ide/hdc/model
RICOH CD-R/RW MP7040A

/proc/ide/hdc/media
cdrom

/proc/ide/hdc/settings
name                 value        min          max          mode
----                 -----        ---          ---          ----
bios_cyl             0            0            1023         rw
bios_head            0            0            255          rw
bios_sect            0            0            63           rw
current_speed        34           0            70           rw
init_speed           34           0            70           rw
io_32bit             1            0            3            rw
keepsettings         0            0            1            rw
log                  0            0            1            rw
nice1                1            0            1            rw
number               2            0            3            rw
pio_mode             write-only   0            255          w
slow                 0            0            1            rw
transform            1            0            3            rw
unmaskirq            0            0            1            rw
using_dma            1            0            1            rw


Version-Release number of selected component (if applicable):
kernel-source-2.4.22-1.2188.nptl

How reproducible:
Always

Steps to Reproduce:
1. Use my configuration file (it was made with menuconfig, I didn't
hand edit)
2. make menuconfig, save configuration
3. make dep clean
4. nohup make modules >modules.out &
5. nohup make bzImage &
6. (wait until successful compilation)
7. make modules_install install
8. reboot and choose the new kernel from the grub menu
9. try to access the ide-scsi CD-RW drive.
    

Actual Results:  I could not access anything on this CD-RW drive using
this custom kernel.  I could not play audio CDs, or mount data CDs,
nor write CD-Rs.

Expected Results:  The exact opposite.

Additional info:
Comment 1 William M. Quarles 2004-05-16 01:40:32 EDT
Created attachment 100252 [details]
My kernel configuration file
Comment 2 William M. Quarles 2004-05-16 14:54:03 EDT
OK, I tried recompiling the kernel with SCSI, SCSI generic, IDE-SCSI,
and IDE-CD-ROM support all modularized.  I still had the same problem.
 The system complains about how it can't locate module block-major-11
while booting.  If I add alias block-major-11 ide-scsi to
/etc/modules.conf, it loads all of the necessary modules without error
messages, but I still can't access the drive.  I'm stumped.  Attaching
the new .config file.
Comment 3 William M. Quarles 2004-05-16 14:55:20 EDT
Created attachment 100258 [details]
My kernel configuration file; with SCSI, SCSI generic, IDE-SCSI, and IDE-CD-ROM support all modularized.
Comment 4 David Lawrence 2004-09-29 16:26:18 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.